Update Monitored Topic
curl --request PATCH \
--url https://api.goextrovert.com/client/v2/monitored-topics/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
"name": "AI agents",
"description": "<string>"
}
'import requests
url = "https://api.goextrovert.com/client/v2/monitored-topics/{id}"
payload = {
"id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
"name": "AI agents",
"description": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '8d256aa6-9b12-49a7-93ee-bf41634b5b60',
name: 'AI agents',
description: '<string>'
})
};
fetch('https://api.goextrovert.com/client/v2/monitored-topics/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": null,
"message": "Operation completed successfully"
}{
"status": "error",
"data": null,
"message": "An error occurred while processing the request"
}Monitored Topics
Update Monitored Topic
Updates the name and description of an existing Monitored Topic. Existing bindings to Topic campaigns are preserved. The owner cannot be changed.
PATCH
/
client
/
v2
/
monitored-topics
/
{id}
Update Monitored Topic
Authorizations
API Key for authentication
Path Parameters
Body
application/json
ID of the Monitored Topic to update.
Example:
"8d256aa6-9b12-49a7-93ee-bf41634b5b60"
New topic name.
Minimum string length:
1Example:
"AI agents"
New description — what makes a post qualify for this topic, and what should be excluded. Used by the AI matcher when scanning posts. Maximum 400 characters.
Required string length:
1 - 400⌘I